#!/bin/bash

echo "Checking if $INSTAGRAM_DB database exists..."

if psql -lqt | cut -d \| -f 1 | grep -qw $INSTAGRAM_DB; then
  echo "Database exists, skipping creation"
else
  echo "Database does not exist, creating..."
  createdb $INSTAGRAM_DB
  createuser $INSTAGRAM_USER
  psql -c "ALTER USER $INSTAGRAM_USER WITH ENCRYPTED PASSWORD '$INSTAGRAM_PASSWORD';"
  psql -c "GRANT ALL PRIVILEGES ON DATABASE $INSTAGRAM_DB TO $INSTAGRAM_USER;"
  psql -c "ALTER DATABASE $INSTAGRAM_DB OWNER TO $INSTAGRAM_USER;"
fi
